/*
 * Mirai. Copyright (C) 2024 Vyn
 * This file is licensed under version 3 of the GNU General Public License (GPL-3.0-only)
 * The license can be found in the LICENSE file or at https://www.gnu.org/licenses/gpl-3.0.txt
 */

#include "evalyte-cpp-common/evalyte.h"
#include "mirai-core/Mirai.h"
#include "ui.h"
#include "windows/AppWindow/AppWindow.h"
#include <cstdlib>
#include <string>

int main(int argc, char **argv)
{
	evalyte::createRequiredDirectories("mirai");
	const auto configFilePath = evalyte::configDirectoryPath("mirai") + "/config.json";
	mirai::Mirai mirai{configFilePath};
	AppWindow appWindow{&mirai};
	appWindow.run();
	return 0;
}
